Bug 1052809 - [RFE][glance]: Create a /healthcheck_api and /healthcheck_registrty endpoints
Summary: [RFE][glance]: Create a /healthcheck_api and /healthcheck_registrty endpoints
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Dafna Ron
URL: https://blueprints.launchpad.net/glan...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-14 05:11 UTC by RHOS Integration
Modified: 2016-04-26 23:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 19:38:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-01-14 05:11:12 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/glance/+spec/healthcheck.

Description:

Objective: implement a healtcheck endpoint similar at the one implemented on Swift

As a cloud operator, in a HA environment I would like to know the status of my glance services via health checks

1. Create a /healthcheck_api end point that would made it possible to be monitored via HAProxy or alike
  
  It should verify two things :

    * healthcheck_registry returns 200 
    * api can communicate with all stores listed in known_stores

2. Create a /healthcheck_registry end point that would made it possible to be monitored by HAProxy or alike

  It should verify :

    * communication with database is possible


Specification URL (additional information):

None

Comment 2 Sean Cohen 2015-06-30 19:38:19 UTC
Was rejected upstream


Note You need to log in before you can comment on or make changes to this bug.